Ruby: regenc.h File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Structures | Macros | Functions | Variables
regenc.h File Reference
`#include "config.h"`
`#include "onigmo.h"`

Go to the source code of this file.

## Data Structures
struct | OnigPairCaseFoldCodes
struct | PosixBracketEntryType

## Macros
#define | NULL ((void* )0)
#define | TRUE 1
#define | FALSE 0
#define | ARG_UNUSED __attribute__ ((unused))
#define | ONIG_IS_NULL(p) (((void*)(p)) == (void*)0)
#define | ONIG_IS_NOT_NULL(p) (((void*)(p)) != (void*)0)
#define | ONIG_CHECK_NULL_RETURN(p) if (ONIG_IS_NULL(p)) return NULL
#define | ONIG_CHECK_NULL_RETURN_VAL(p, val) if (ONIG_IS_NULL(p)) return (val)
#define | enclen(enc, p, e) ((enc->max_enc_len == enc->min_enc_len) ? enc->min_enc_len : ONIGENC_MBC_ENC_LEN(enc,p,e))
#define | BIT_CTYPE_NEWLINE (1<< ONIGENC_CTYPE_NEWLINE)
#define | BIT_CTYPE_ALPHA (1<< ONIGENC_CTYPE_ALPHA)
#define | BIT_CTYPE_BLANK (1<< ONIGENC_CTYPE_BLANK)
#define | BIT_CTYPE_CNTRL (1<< ONIGENC_CTYPE_CNTRL)
#define | BIT_CTYPE_DIGIT (1<< ONIGENC_CTYPE_DIGIT)
#define | BIT_CTYPE_GRAPH (1<< ONIGENC_CTYPE_GRAPH)
#define | BIT_CTYPE_LOWER (1<< ONIGENC_CTYPE_LOWER)
#define | BIT_CTYPE_PRINT (1<< ONIGENC_CTYPE_PRINT)
#define | BIT_CTYPE_PUNCT (1<< ONIGENC_CTYPE_PUNCT)
#define | BIT_CTYPE_SPACE (1<< ONIGENC_CTYPE_SPACE)
#define | BIT_CTYPE_UPPER (1<< ONIGENC_CTYPE_UPPER)
#define | BIT_CTYPE_XDIGIT (1<< ONIGENC_CTYPE_XDIGIT)
#define | BIT_CTYPE_WORD (1<< ONIGENC_CTYPE_WORD)
#define | BIT_CTYPE_ALNUM (1<< ONIGENC_CTYPE_ALNUM)
#define | BIT_CTYPE_ASCII (1<< ONIGENC_CTYPE_ASCII)
#define | CTYPE_TO_BIT(ctype) (1<<(ctype))
#define | CTYPE_IS_WORD_GRAPH_PRINT(ctype)
#define | POSIX_BRACKET_ENTRY_INIT(name, ctype) {(short int )(sizeof(name) - 1), name, (ctype)}
#define | numberof(array) (int )(sizeof(array) / sizeof((array)[0]))
#define | USE_CRNL_AS_LINE_TERMINATOR
#define | USE_UNICODE_PROPERTIES
#define | USE_UNICODE_AGE_PROPERTIES
#define | ONIG_ENCODING_INIT_DEFAULT ONIG_ENCODING_ASCII
#define | UTF16_IS_SURROGATE_FIRST(c) (((c) & 0xfc) == 0xd8)
#define | UTF16_IS_SURROGATE_SECOND(c) (((c) & 0xfc) == 0xdc)
#define | UTF16_IS_SURROGATE(c) (((c) & 0xf8) == 0xd8)
#define | UNICODE_VALID_CODEPOINT_P(c)
#define | ONIGENC_ISO_8859_1_TO_LOWER_CASE(c) OnigEncISO_8859_1_ToLowerCaseTable[c]
#define | ONIGENC_ISO_8859_1_TO_UPPER_CASE(c) OnigEncISO_8859_1_ToUpperCaseTable[c]
#define | ONIGENC_IS_ASCII_CODE(code) ((code) < 0x80)
#define | ONIGENC_ASCII_CODE_TO_LOWER_CASE(c) OnigEncAsciiToLowerCaseTable[c]
#define | ONIGENC_ASCII_CODE_TO_UPPER_CASE(c) OnigEncAsciiToUpperCaseTable[c]
#define | ONIGENC_IS_ASCII_CODE_CTYPE(code, ctype) ((OnigEncAsciiCtypeTable[code] & CTYPE_TO_BIT(ctype)) != 0)
#define | ONIGENC_IS_ASCII_CODE_CASE_AMBIG(code)
#define | ONIGENC_IS_IN_RANGE(code, from, to) ((OnigCodePoint )((code) - (from)) <= (OnigCodePoint )((to) - (from)))
#define | OnigEncodingName(n) OnigEncoding##n
#define | OnigEncodingDeclare(n) const OnigEncodingType OnigEncodingName(n)
#define | OnigEncodingDefine(f, n) OnigEncodingDeclare(n)
#define | ENC_REPLICATE(name, orig)
#define | ENC_ALIAS(name, orig)
#define | ENC_DUMMY(name)

## Functions
ONIG_EXTERN int | onigenc_ascii_apply_all_case_fold (OnigCaseFoldType flag, OnigApplyAllCaseFoldFunc f, void *arg, OnigEncoding enc)
ONIG_EXTERN int | onigenc_ascii_get_case_fold_codes_by_str (OnigCaseFoldType flag, const OnigUChar *p, const OnigUChar *end, OnigCaseFoldCodeItem items[], OnigEncoding enc)
ONIG_EXTERN int | onigenc_apply_all_case_fold_with_map (int map_size, const OnigPairCaseFoldCodes map[], int ess_tsett_flag, OnigCaseFoldType flag, OnigApplyAllCaseFoldFunc f, void *arg)
ONIG_EXTERN int | onigenc_get_case_fold_codes_by_str_with_map (int map_size, const OnigPairCaseFoldCodes map[], int ess_tsett_flag, OnigCaseFoldType flag, const OnigUChar *p, const OnigUChar *end, OnigCaseFoldCodeItem items[])
ONIG_EXTERN int | onigenc_not_support_get_ctype_code_range (OnigCtype ctype, OnigCodePoint *sb_out, const OnigCodePoint *ranges[], OnigEncoding enc)
ONIG_EXTERN int | onigenc_is_mbc_newline_0x0a (const UChar *p, const UChar *end, OnigEncoding enc)
ONIG_EXTERN int | onigenc_single_byte_ascii_only_case_map (OnigCaseFoldType *flagP, const OnigUChar **pp, const OnigUChar *end, OnigUChar *to, OnigUChar *to_end, const struct OnigEncodingTypeST *enc)
ONIG_EXTERN int | onigenc_ascii_mbc_case_fold (OnigCaseFoldType flag, const UChar **p, const UChar *end, UChar *lower, OnigEncoding enc)
ONIG_EXTERN int | onigenc_single_byte_mbc_enc_len (const UChar *p, const UChar *e, OnigEncoding enc)
ONIG_EXTERN OnigCodePoint | onigenc_single_byte_mbc_to_code (const UChar *p, const UChar *end, OnigEncoding enc)
ONIG_EXTERN int | onigenc_single_byte_code_to_mbclen (OnigCodePoint code, OnigEncoding enc)
ONIG_EXTERN int | onigenc_single_byte_code_to_mbc (OnigCodePoint code, UChar *buf, OnigEncoding enc)
ONIG_EXTERN UChar * | onigenc_single_byte_left_adjust_char_head (const UChar *start, const UChar *s, const OnigUChar *end, OnigEncoding enc)
ONIG_EXTERN int | onigenc_always_true_is_allowed_reverse_match (const UChar *s, const UChar *end, OnigEncoding enc)
ONIG_EXTERN int | onigenc_always_false_is_allowed_reverse_match (const UChar *s, const UChar *end, OnigEncoding enc)
ONIG_EXTERN int | onigenc_ascii_is_code_ctype (OnigCodePoint code, unsigned int ctype, OnigEncoding enc)
ONIG_EXTERN OnigCodePoint | onigenc_mbn_mbc_to_code (OnigEncoding enc, const UChar *p, const UChar *end)
ONIG_EXTERN int | onigenc_mbn_mbc_case_fold (OnigEncoding enc, OnigCaseFoldType flag, const UChar **p, const UChar *end, UChar *lower)
ONIG_EXTERN int | onigenc_mb2_code_to_mbclen (OnigCodePoint code, OnigEncoding enc)
ONIG_EXTERN int | onigenc_mb2_code_to_mbc (OnigEncoding enc, OnigCodePoint code, UChar *buf)
ONIG_EXTERN int | onigenc_minimum_property_name_to_ctype (OnigEncoding enc, const UChar *p, const UChar *end)
ONIG_EXTERN int | onigenc_unicode_property_name_to_ctype (OnigEncoding enc, const UChar *p, const UChar *end)
ONIG_EXTERN int | onigenc_mb2_is_code_ctype (OnigEncoding enc, OnigCodePoint code, unsigned int ctype)
ONIG_EXTERN int | onigenc_mb4_code_to_mbclen (OnigCodePoint code, OnigEncoding enc)
ONIG_EXTERN int | onigenc_mb4_code_to_mbc (OnigEncoding enc, OnigCodePoint code, UChar *buf)
ONIG_EXTERN int | onigenc_mb4_is_code_ctype (OnigEncoding enc, OnigCodePoint code, unsigned int ctype)
ONIG_EXTERN int | onigenc_unicode_case_map (OnigCaseFoldType *flagP, const OnigUChar **pp, const OnigUChar *end, OnigUChar *to, OnigUChar *to_end, const struct OnigEncodingTypeST *enc)
ONIG_EXTERN int | onigenc_unicode_is_code_ctype (OnigCodePoint code, unsigned int ctype, OnigEncoding enc)
ONIG_EXTERN int | onigenc_utf16_32_get_ctype_code_range (OnigCtype ctype, OnigCodePoint *sb_out, const OnigCodePoint *ranges[], OnigEncoding enc)
ONIG_EXTERN int | onigenc_unicode_ctype_code_range (int ctype, const OnigCodePoint *ranges[])
ONIG_EXTERN int | onigenc_unicode_get_case_fold_codes_by_str (OnigEncoding enc, OnigCaseFoldType flag, const OnigUChar *p, const OnigUChar *end, OnigCaseFoldCodeItem items[])
ONIG_EXTERN int | onigenc_unicode_mbc_case_fold (OnigEncoding enc, OnigCaseFoldType flag, const UChar **pp, const UChar *end, UChar *fold)
ONIG_EXTERN int | onigenc_unicode_apply_all_case_fold (OnigCaseFoldType flag, OnigApplyAllCaseFoldFunc f, void *arg, OnigEncoding enc)
ONIG_EXTERN int | onigenc_with_ascii_strncmp (OnigEncoding enc, const UChar *p, const UChar *end, const UChar *sascii, int n)
ONIG_EXTERN int | onigenc_with_ascii_strnicmp (OnigEncoding enc, const UChar *p, const UChar *end, const UChar *sascii, int n)
ONIG_EXTERN UChar * | onigenc_step (OnigEncoding enc, const UChar *p, const UChar *end, int n)
int | onig_is_in_code_range (const UChar *p, OnigCodePoint code)

## Variables
ONIG_EXTERN const UChar | OnigEncISO_8859_1_ToLowerCaseTable []
ONIG_EXTERN const UChar | OnigEncISO_8859_1_ToUpperCaseTable []
ONIG_EXTERN OnigEncoding | OnigEncDefaultCharEncoding
ONIG_EXTERN const UChar | OnigEncAsciiToLowerCaseTable []
ONIG_EXTERN const UChar | OnigEncAsciiToUpperCaseTable []
ONIG_EXTERN const unsigned short | OnigEncAsciiCtypeTable []

## Macro Definition Documentation

## ◆ ARG_UNUSED

#define ARG_UNUSED __attribute__ ((unused))

Definition at line 82 of file regenc.h.

## ◆ BIT_CTYPE_ALNUM

#define BIT_CTYPE_ALNUM (1<< ONIGENC_CTYPE_ALNUM)

Definition at line 109 of file regenc.h.

## ◆ BIT_CTYPE_ALPHA

#define BIT_CTYPE_ALPHA (1<< ONIGENC_CTYPE_ALPHA)

Definition at line 97 of file regenc.h.

## ◆ BIT_CTYPE_ASCII

#define BIT_CTYPE_ASCII (1<< ONIGENC_CTYPE_ASCII)

Definition at line 110 of file regenc.h.

## ◆ BIT_CTYPE_BLANK

#define BIT_CTYPE_BLANK (1<< ONIGENC_CTYPE_BLANK)

Definition at line 98 of file regenc.h.

## ◆ BIT_CTYPE_CNTRL

#define BIT_CTYPE_CNTRL (1<< ONIGENC_CTYPE_CNTRL)

Definition at line 99 of file regenc.h.

## ◆ BIT_CTYPE_DIGIT

#define BIT_CTYPE_DIGIT (1<< ONIGENC_CTYPE_DIGIT)

Definition at line 100 of file regenc.h.

## ◆ BIT_CTYPE_GRAPH

#define BIT_CTYPE_GRAPH (1<< ONIGENC_CTYPE_GRAPH)

Definition at line 101 of file regenc.h.

## ◆ BIT_CTYPE_LOWER

#define BIT_CTYPE_LOWER (1<< ONIGENC_CTYPE_LOWER)

Definition at line 102 of file regenc.h.

## ◆ BIT_CTYPE_NEWLINE

#define BIT_CTYPE_NEWLINE (1<< ONIGENC_CTYPE_NEWLINE)

Definition at line 96 of file regenc.h.

## ◆ BIT_CTYPE_PRINT

#define BIT_CTYPE_PRINT (1<< ONIGENC_CTYPE_PRINT)

Definition at line 103 of file regenc.h.

## ◆ BIT_CTYPE_PUNCT

#define BIT_CTYPE_PUNCT (1<< ONIGENC_CTYPE_PUNCT)

Definition at line 104 of file regenc.h.

## ◆ BIT_CTYPE_SPACE

#define BIT_CTYPE_SPACE (1<< ONIGENC_CTYPE_SPACE)

Definition at line 105 of file regenc.h.

## ◆ BIT_CTYPE_UPPER

#define BIT_CTYPE_UPPER (1<< ONIGENC_CTYPE_UPPER)

Definition at line 106 of file regenc.h.

## ◆ BIT_CTYPE_WORD

#define BIT_CTYPE_WORD (1<< ONIGENC_CTYPE_WORD)

Definition at line 108 of file regenc.h.

## ◆ BIT_CTYPE_XDIGIT

#define BIT_CTYPE_XDIGIT (1<< ONIGENC_CTYPE_XDIGIT)

Definition at line 107 of file regenc.h.

## ◆ CTYPE_IS_WORD_GRAPH_PRINT

#define CTYPE_IS_WORD_GRAPH_PRINT | ( |  | ctype | ) |

Value:
((ctype) == ONIGENC_CTYPE_WORD || (ctype) == ONIGENC_CTYPE_GRAPH ||\
(ctype) == ONIGENC_CTYPE_PRINT)
ONIGENC_CTYPE_GRAPH
#define ONIGENC_CTYPE_GRAPH
Definition: onigmo.h:299
ONIGENC_CTYPE_WORD
#define ONIGENC_CTYPE_WORD
Definition: onigmo.h:306
ONIGENC_CTYPE_PRINT
#define ONIGENC_CTYPE_PRINT
Definition: onigmo.h:301

Definition at line 113 of file regenc.h.

## ◆ CTYPE_TO_BIT

#define CTYPE_TO_BIT | ( |  | ctype | ) | (1<<(ctype))

Definition at line 112 of file regenc.h.

## ◆ ENC_ALIAS

#define ENC_ALIAS | ( |  | name,
|  |  | orig
| ) |  |

Definition at line 249 of file regenc.h.

## ◆ ENC_DUMMY

#define ENC_DUMMY | ( |  | name | ) |

Definition at line 250 of file regenc.h.

## ◆ ENC_REPLICATE

#define ENC_REPLICATE | ( |  | name,
|  |  | orig
| ) |  |

Definition at line 248 of file regenc.h.

## ◆ enclen

#define enclen | ( |  | enc,
|  |  | p,
|  |  | e
| ) |  | ((enc->max_enc_len == enc->min_enc_len) ? enc->min_enc_len : ONIGENC_MBC_ENC_LEN(enc,p,e))

Definition at line 93 of file regenc.h.

## ◆ FALSE

#define FALSE 0

Definition at line 77 of file regenc.h.

## ◆ NULL

#define NULL ((void* )0)

Definition at line 69 of file regenc.h.

## ◆ numberof

#define numberof | ( |  | array | ) | (int )(sizeof(array) / sizeof((array)[0]))

Definition at line 128 of file regenc.h.

## ◆ ONIG_CHECK_NULL_RETURN

#define ONIG_CHECK_NULL_RETURN | ( |  | p | ) | if (ONIG_IS_NULL(p)) return NULL

Definition at line 90 of file regenc.h.

## ◆ ONIG_CHECK_NULL_RETURN_VAL

#define ONIG_CHECK_NULL_RETURN_VAL | ( |  | p,
|  |  | val
| ) |  | if (ONIG_IS_NULL(p)) return (val)

Definition at line 91 of file regenc.h.

## ◆ ONIG_ENCODING_INIT_DEFAULT

#define ONIG_ENCODING_INIT_DEFAULT ONIG_ENCODING_ASCII

Definition at line 139 of file regenc.h.

## ◆ ONIG_IS_NOT_NULL

#define ONIG_IS_NOT_NULL | ( |  | p | ) | (((void*)(p)) != (void*)0)

Definition at line 89 of file regenc.h.

## ◆ ONIG_IS_NULL

#define ONIG_IS_NULL | ( |  | p | ) | (((void*)(p)) == (void*)0)

Definition at line 88 of file regenc.h.

## ◆ ONIGENC_ASCII_CODE_TO_LOWER_CASE

#define ONIGENC_ASCII_CODE_TO_LOWER_CASE | ( |  | c | ) | OnigEncAsciiToLowerCaseTable[c]

Definition at line 217 of file regenc.h.

## ◆ ONIGENC_ASCII_CODE_TO_UPPER_CASE

#define ONIGENC_ASCII_CODE_TO_UPPER_CASE | ( |  | c | ) | OnigEncAsciiToUpperCaseTable[c]

Definition at line 218 of file regenc.h.

## ◆ ONIGENC_IS_ASCII_CODE

#define ONIGENC_IS_ASCII_CODE | ( |  | code | ) | ((code) < 0x80)

Definition at line 216 of file regenc.h.

## ◆ ONIGENC_IS_ASCII_CODE_CASE_AMBIG

#define ONIGENC_IS_ASCII_CODE_CASE_AMBIG | ( |  | code | ) |

Value:
(ONIGENC_IS_ASCII_CODE_CTYPE(code, ONIGENC_CTYPE_UPPER) ||\
ONIGENC_IS_ASCII_CODE_CTYPE(code, ONIGENC_CTYPE_LOWER))
ONIGENC_CTYPE_UPPER
#define ONIGENC_CTYPE_UPPER
Definition: onigmo.h:304
ONIGENC_CTYPE_LOWER
#define ONIGENC_CTYPE_LOWER
Definition: onigmo.h:300
ONIGENC_IS_ASCII_CODE_CTYPE
#define ONIGENC_IS_ASCII_CODE_CTYPE(code, ctype)
Definition: regenc.h:219
code
Definition: inftree9.h:24

Definition at line 221 of file regenc.h.

## ◆ ONIGENC_IS_ASCII_CODE_CTYPE

#define ONIGENC_IS_ASCII_CODE_CTYPE | ( |  | code,
|  |  | ctype
| ) |  | ((OnigEncAsciiCtypeTable[code] & CTYPE_TO_BIT(ctype)) != 0)

Definition at line 219 of file regenc.h.

## ◆ ONIGENC_IS_IN_RANGE

#define ONIGENC_IS_IN_RANGE | ( |  | code,
|  |  | from,
|  |  | to
| ) |  | ((OnigCodePoint )((code) - (from)) <= (OnigCodePoint )((to) - (from)))

Definition at line 226 of file regenc.h.

## ◆ ONIGENC_ISO_8859_1_TO_LOWER_CASE

#define ONIGENC_ISO_8859_1_TO_LOWER_CASE | ( |  | c | ) | OnigEncISO_8859_1_ToLowerCaseTable[c]

Definition at line 193 of file regenc.h.

## ◆ ONIGENC_ISO_8859_1_TO_UPPER_CASE

#define ONIGENC_ISO_8859_1_TO_UPPER_CASE | ( |  | c | ) | OnigEncISO_8859_1_ToUpperCaseTable[c]

Definition at line 195 of file regenc.h.

## ◆ OnigEncodingDeclare

#define OnigEncodingDeclare | ( |  | n | ) | const OnigEncodingType OnigEncodingName(n)

Definition at line 243 of file regenc.h.

## ◆ OnigEncodingDefine

#define OnigEncodingDefine | ( |  | f,
|  |  | n
| ) |  | OnigEncodingDeclare(n)

Definition at line 244 of file regenc.h.

## ◆ OnigEncodingName

#define OnigEncodingName | ( |  | n | ) | OnigEncoding##n

Definition at line 242 of file regenc.h.

## ◆ POSIX_BRACKET_ENTRY_INIT

#define POSIX_BRACKET_ENTRY_INIT | ( |  | name,
|  |  | ctype
| ) |  | {(short int )(sizeof(name) - 1), name, (ctype)}

Definition at line 124 of file regenc.h.

## ◆ TRUE

#define TRUE 1

Definition at line 73 of file regenc.h.

## ◆ UNICODE_VALID_CODEPOINT_P

#define UNICODE_VALID_CODEPOINT_P | ( |  | c | ) |

Value:
( \
((c) <= 0x10ffff) && \
!((c) < 0x10000 && UTF16_IS_SURROGATE((c) >> 8)))
UTF16_IS_SURROGATE
#define UTF16_IS_SURROGATE(c)
Definition: regenc.h:188

Definition at line 189 of file regenc.h.

## ◆ USE_CRNL_AS_LINE_TERMINATOR

#define USE_CRNL_AS_LINE_TERMINATOR

Definition at line 132 of file regenc.h.

## ◆ USE_UNICODE_AGE_PROPERTIES

#define USE_UNICODE_AGE_PROPERTIES

Definition at line 134 of file regenc.h.

## ◆ USE_UNICODE_PROPERTIES

#define USE_UNICODE_PROPERTIES

Definition at line 133 of file regenc.h.

## ◆ UTF16_IS_SURROGATE

#define UTF16_IS_SURROGATE | ( |  | c | ) | (((c) & 0xf8) == 0xd8)

Definition at line 188 of file regenc.h.

## ◆ UTF16_IS_SURROGATE_FIRST

#define UTF16_IS_SURROGATE_FIRST | ( |  | c | ) | (((c) & 0xfc) == 0xd8)

Definition at line 186 of file regenc.h.

## ◆ UTF16_IS_SURROGATE_SECOND

#define UTF16_IS_SURROGATE_SECOND | ( |  | c | ) | (((c) & 0xfc) == 0xdc)

Definition at line 187 of file regenc.h.

## Function Documentation

## ◆ onig_is_in_code_range()

int onig_is_in_code_range | ( | const UChar * | p,
|  | OnigCodePoint | code
| ) |  |

Definition at line 6098 of file regcomp.c.

References GET_CODE_POINT.

Referenced by onig_is_code_in_cc_len().

## ◆ onigenc_always_false_is_allowed_reverse_match()

ONIG_EXTERN int onigenc_always_false_is_allowed_reverse_match | ( | const UChar * | s,
|  | const UChar * | end,
|  | OnigEncoding | enc
| ) |  |

## ◆ onigenc_always_true_is_allowed_reverse_match()

ONIG_EXTERN int onigenc_always_true_is_allowed_reverse_match | ( | const UChar * | s,
|  | const UChar * | end,
|  | OnigEncoding | enc
| ) |  |

## ◆ onigenc_apply_all_case_fold_with_map()

ONIG_EXTERN int onigenc_apply_all_case_fold_with_map | ( | int | map_size,
|  | const OnigPairCaseFoldCodes | map[],
|  | int | ess_tsett_flag,
|  | OnigCaseFoldType | flag,
|  | OnigApplyAllCaseFoldFunc | f,
|  | void * | arg
| ) |  |

Definition at line 463 of file regenc.c.

References f, map(), and onigenc_ascii_apply_all_case_fold().

## ◆ onigenc_ascii_apply_all_case_fold()

ONIG_EXTERN int onigenc_ascii_apply_all_case_fold | ( | OnigCaseFoldType | flag,
|  | OnigApplyAllCaseFoldFunc | f,
|  | void * | arg,
|  | OnigEncoding | enc
| ) |  |

Definition at line 412 of file regenc.c.

References OnigPairCaseFoldCodes::from, numberof, OnigAsciiLowerMap, and OnigPairCaseFoldCodes::to.

Referenced by onigenc_apply_all_case_fold_with_map().

## ◆ onigenc_ascii_get_case_fold_codes_by_str()

ONIG_EXTERN int onigenc_ascii_get_case_fold_codes_by_str | ( | OnigCaseFoldType | flag,
|  | const OnigUChar * | p,
|  | const OnigUChar * | end,
|  | OnigCaseFoldCodeItem | items[],
|  | OnigEncoding | enc
| ) |  |

## ◆ onigenc_ascii_is_code_ctype()

ONIG_EXTERN int onigenc_ascii_is_code_ctype | ( | OnigCodePoint | code,
|  | unsigned int | ctype,
|  | OnigEncoding | enc
| ) |  |

Definition at line 670 of file regenc.c.

References FALSE, and ONIGENC_IS_ASCII_CODE_CTYPE.

## ◆ onigenc_ascii_mbc_case_fold()

ONIG_EXTERN int onigenc_ascii_mbc_case_fold | ( | OnigCaseFoldType | flag,
|  | const UChar ** | p,
|  | const UChar * | end,
|  | UChar * | lower,
|  | OnigEncoding | enc
| ) |  |

Definition at line 592 of file regenc.c.

References ONIGENC_ASCII_CODE_TO_LOWER_CASE.

## ◆ onigenc_get_case_fold_codes_by_str_with_map()

ONIG_EXTERN int onigenc_get_case_fold_codes_by_str_with_map | ( | int | map_size,
|  | const OnigPairCaseFoldCodes | map[],
|  | int | ess_tsett_flag,
|  | OnigCaseFoldType | flag,
|  | const OnigUChar * | p,
|  | const OnigUChar * | end,
|  | OnigCaseFoldCodeItem | items[]
| ) |  |

Definition at line 491 of file regenc.c.

References OnigCaseFoldCodeItem::byte_len, OnigCaseFoldCodeItem::code, OnigCaseFoldCodeItem::code_len, and map().

## ◆ onigenc_is_mbc_newline_0x0a()

ONIG_EXTERN int onigenc_is_mbc_newline_0x0a | ( | const UChar * | p,
|  | const UChar * | end,
|  | OnigEncoding | enc
| ) |  |

Definition at line 582 of file regenc.c.

## ◆ onigenc_mb2_code_to_mbc()

ONIG_EXTERN int onigenc_mb2_code_to_mbc | ( | OnigEncoding | enc,
|  | OnigCodePoint | code,
|  | UChar * | buf
| ) |  |

Definition at line 757 of file regenc.c.

References enclen, ONIGERR_INVALID_CODE_POINT_VALUE, and UChar.

## ◆ onigenc_mb2_code_to_mbclen()

ONIG_EXTERN int onigenc_mb2_code_to_mbclen | ( | OnigCodePoint | code,
|  | OnigEncoding | enc
| ) |  |

Definition at line 740 of file regenc.c.

References ONIGERR_TOO_BIG_WIDE_CHAR_VALUE.

## ◆ onigenc_mb2_is_code_ctype()

ONIG_EXTERN int onigenc_mb2_is_code_ctype | ( | OnigEncoding | enc,
|  | OnigCodePoint | code,
|  | unsigned int | ctype
| ) |  |

Definition at line 830 of file regenc.c.

References CTYPE_IS_WORD_GRAPH_PRINT, FALSE, ONIGENC_CODE_TO_MBCLEN, ONIGENC_IS_ASCII_CODE_CTYPE, and TRUE.

## ◆ onigenc_mb4_code_to_mbc()

ONIG_EXTERN int onigenc_mb4_code_to_mbc | ( | OnigEncoding | enc,
|  | OnigCodePoint | code,
|  | UChar * | buf
| ) |  |

Definition at line 774 of file regenc.c.

References enclen, ONIGERR_INVALID_CODE_POINT_VALUE, and UChar.

## ◆ onigenc_mb4_code_to_mbclen()

ONIG_EXTERN int onigenc_mb4_code_to_mbclen | ( | OnigCodePoint | code,
|  | OnigEncoding | enc
| ) |  |

Definition at line 748 of file regenc.c.

## ◆ onigenc_mb4_is_code_ctype()

ONIG_EXTERN int onigenc_mb4_is_code_ctype | ( | OnigEncoding | enc,
|  | OnigCodePoint | code,
|  | unsigned int | ctype
| ) |  |

Definition at line 845 of file regenc.c.

References CTYPE_IS_WORD_GRAPH_PRINT, FALSE, ONIGENC_CODE_TO_MBCLEN, ONIGENC_IS_ASCII_CODE_CTYPE, and TRUE.

## ◆ onigenc_mbn_mbc_case_fold()

ONIG_EXTERN int onigenc_mbn_mbc_case_fold | ( | OnigEncoding | enc,
|  | OnigCaseFoldType | flag,
|  | const UChar ** | p,
|  | const UChar * | end,
|  | UChar * | lower
| ) |  |

## ◆ onigenc_mbn_mbc_to_code()

ONIG_EXTERN OnigCodePoint onigenc_mbn_mbc_to_code | ( | OnigEncoding | enc,
|  | const UChar * | p,
|  | const UChar * | end
| ) |  |

Definition at line 680 of file regenc.c.

References enclen, and len.

## ◆ onigenc_minimum_property_name_to_ctype()

ONIG_EXTERN int onigenc_minimum_property_name_to_ctype | ( | OnigEncoding | enc,
|  | const UChar * | p,
|  | const UChar * | end
| ) |  |

Definition at line 797 of file regenc.c.

References PosixBracketEntryType::ctype, len, PosixBracketEntryType::len, PosixBracketEntryType::name, numberof, ONIGENC_CTYPE_ALNUM, ONIGENC_CTYPE_ALPHA, ONIGENC_CTYPE_ASCII, ONIGENC_CTYPE_BLANK, ONIGENC_CTYPE_CNTRL, ONIGENC_CTYPE_DIGIT, ONIGENC_CTYPE_GRAPH, ONIGENC_CTYPE_LOWER, ONIGENC_CTYPE_PRINT, ONIGENC_CTYPE_PUNCT, ONIGENC_CTYPE_SPACE, ONIGENC_CTYPE_UPPER, ONIGENC_CTYPE_WORD, ONIGENC_CTYPE_XDIGIT, onigenc_strlen(), onigenc_with_ascii_strnicmp(), ONIGERR_INVALID_CHAR_PROPERTY_NAME, and POSIX_BRACKET_ENTRY_INIT.

## ◆ onigenc_not_support_get_ctype_code_range()

ONIG_EXTERN int onigenc_not_support_get_ctype_code_range | ( | OnigCtype | ctype,
|  | OnigCodePoint * | sb_out,
|  | const OnigCodePoint * | ranges[],
|  | OnigEncoding | enc
| ) |  |

## ◆ onigenc_single_byte_ascii_only_case_map()

ONIG_EXTERN int onigenc_single_byte_ascii_only_case_map | ( | OnigCaseFoldType * | flagP,
|  | const OnigUChar ** | pp,
|  | const OnigUChar * | end,
|  | OnigUChar * | to,
|  | OnigUChar * | to_end,
|  | const struct OnigEncodingTypeST * | enc
| ) |  |

Definition at line 987 of file regenc.c.

References ONIGENC_CASE_DOWNCASE, ONIGENC_CASE_FOLD, ONIGENC_CASE_MODIFIED, ONIGENC_CASE_TITLECASE, and ONIGENC_CASE_UPCASE.

## ◆ onigenc_single_byte_code_to_mbc()

ONIG_EXTERN int onigenc_single_byte_code_to_mbc | ( | OnigCodePoint | code,
|  | UChar * | buf,
|  | OnigEncoding | enc
| ) |  |

Definition at line 634 of file regenc.c.

References rb_eRangeError, rb_raise(), and UChar.

## ◆ onigenc_single_byte_code_to_mbclen()

ONIG_EXTERN int onigenc_single_byte_code_to_mbclen | ( | OnigCodePoint | code,
|  | OnigEncoding | enc
| ) |  |

Definition at line 628 of file regenc.c.

## ◆ onigenc_single_byte_left_adjust_char_head()

ONIG_EXTERN UChar * onigenc_single_byte_left_adjust_char_head | ( | const UChar * | start,
|  | const UChar * | s,
|  | const OnigUChar * | end,
|  | OnigEncoding | enc
| ) |  |

## ◆ onigenc_single_byte_mbc_enc_len()

ONIG_EXTERN int onigenc_single_byte_mbc_enc_len | ( | const UChar * | p,
|  | const UChar * | e,
|  | OnigEncoding | enc
| ) |  |

## ◆ onigenc_single_byte_mbc_to_code()

ONIG_EXTERN OnigCodePoint onigenc_single_byte_mbc_to_code | ( | const UChar * | p,
|  | const UChar * | end,
|  | OnigEncoding | enc
| ) |  |

## ◆ onigenc_step()

ONIG_EXTERN UChar * onigenc_step | ( | OnigEncoding | enc,
|  | const UChar * | p,
|  | const UChar * | end,
|  | int | n
| ) |  |

Definition at line 113 of file regenc.c.

References NULL, ONIGENC_MBC_ENC_LEN, and UChar.

## ◆ onigenc_unicode_apply_all_case_fold()

ONIG_EXTERN int onigenc_unicode_apply_all_case_fold | ( | OnigCaseFoldType | flag,
|  | OnigApplyAllCaseFoldFunc | f,
|  | void * | arg,
|  | OnigEncoding | enc
| ) |  |

## ◆ onigenc_unicode_case_map()

ONIG_EXTERN int onigenc_unicode_case_map | ( | OnigCaseFoldType * | flagP,
|  | const OnigUChar ** | pp,
|  | const OnigUChar * | end,
|  | OnigUChar * | to,
|  | OnigUChar * | to_end,
|  | const struct OnigEncodingTypeST * | enc
| ) |  |

## ◆ onigenc_unicode_ctype_code_range()

ONIG_EXTERN int onigenc_unicode_ctype_code_range | ( | int | ctype,
|  | const OnigCodePoint * | ranges[]
| ) |  |

## ◆ onigenc_unicode_get_case_fold_codes_by_str()

ONIG_EXTERN int onigenc_unicode_get_case_fold_codes_by_str | ( | OnigEncoding | enc,
|  | OnigCaseFoldType | flag,
|  | const OnigUChar * | p,
|  | const OnigUChar * | end,
|  | OnigCaseFoldCodeItem | items[]
| ) |  |

## ◆ onigenc_unicode_is_code_ctype()

ONIG_EXTERN int onigenc_unicode_is_code_ctype | ( | OnigCodePoint | code,
|  | unsigned int | ctype,
|  | OnigEncoding | enc
| ) |  |

## ◆ onigenc_unicode_mbc_case_fold()

ONIG_EXTERN int onigenc_unicode_mbc_case_fold | ( | OnigEncoding | enc,
|  | OnigCaseFoldType | flag,
|  | const UChar ** | pp,
|  | const UChar * | end,
|  | UChar * | fold
| ) |  |

## ◆ onigenc_unicode_property_name_to_ctype()

ONIG_EXTERN int onigenc_unicode_property_name_to_ctype | ( | OnigEncoding | enc,
|  | const UChar * | p,
|  | const UChar * | end
| ) |  |

## ◆ onigenc_utf16_32_get_ctype_code_range()

ONIG_EXTERN int onigenc_utf16_32_get_ctype_code_range | ( | OnigCtype | ctype,
|  | OnigCodePoint * | sb_out,
|  | const OnigCodePoint * | ranges[],
|  | OnigEncoding | enc
| ) |  |

## ◆ onigenc_with_ascii_strncmp()

ONIG_EXTERN int onigenc_with_ascii_strncmp | ( | OnigEncoding | enc,
|  | const UChar * | p,
|  | const UChar * | end,
|  | const UChar * | sascii,
|  | int | n
| ) |  |

Definition at line 860 of file regenc.c.

References enclen, int(), and ONIGENC_MBC_TO_CODE.

## ◆ onigenc_with_ascii_strnicmp()

ONIG_EXTERN int onigenc_with_ascii_strnicmp | ( | OnigEncoding | enc,
|  | const UChar * | p,
|  | const UChar * | end,
|  | const UChar * | sascii,
|  | int | n
| ) |  |

Definition at line 879 of file regenc.c.

References enclen, int(), ONIGENC_ASCII_CODE_TO_LOWER_CASE, ONIGENC_IS_ASCII_CODE, and ONIGENC_MBC_TO_CODE.

Referenced by onigenc_minimum_property_name_to_ctype().

## Variable Documentation

## ◆ OnigEncAsciiCtypeTable

ONIG_EXTERN const unsigned short OnigEncAsciiCtypeTable[]

Definition at line 214 of file regenc.h.

## ◆ OnigEncAsciiToLowerCaseTable

ONIG_EXTERN const UChar OnigEncAsciiToLowerCaseTable[]

Definition at line 212 of file regenc.h.

## ◆ OnigEncAsciiToUpperCaseTable

ONIG_EXTERN const UChar OnigEncAsciiToUpperCaseTable[]

Definition at line 213 of file regenc.h.

## ◆ OnigEncDefaultCharEncoding

ONIG_EXTERN OnigEncoding OnigEncDefaultCharEncoding

Definition at line 211 of file regenc.h.

## ◆ OnigEncISO_8859_1_ToLowerCaseTable

ONIG_EXTERN const UChar OnigEncISO_8859_1_ToLowerCaseTable[]

Definition at line 198 of file regenc.h.

## ◆ OnigEncISO_8859_1_ToUpperCaseTable

ONIG_EXTERN const UChar OnigEncISO_8859_1_ToUpperCaseTable[]

Definition at line 199 of file regenc.h.